HomeScreensavers Planet  »  Help  »  Message Board  »  Fliqlo not working on Mac

Fliqlo not working on Mac

Why cannot I not ever get this to work. I follow the instructions of download > open but everytime I just get a message telling me to contact the creator for a newer version - why is this? :(

Linked pages

Max2 years agoMac OS X 10.7.5, Google Chrome


4 replies

  • Hello Max, thanks for posting. Since you're on OS X 10.7.5 (Lion), the latest version of the Fliqlo screensaver (1.7) will not work for you; it requires 10.8 or newer. However, you can still download an older version that should support your operating system.

    You can download version 1.5 of Fliqlo here.

    Rob (Screensavers Planet)2 years ago

  • I thought that may be it, however the older version isn't working either :/

    Max2 years ago

  • Do you get the same message with version 1.5, telling you to contact the creator for a newer version, or is it a different problem? I dug up an even older version (1.4), which you can download here, but perhaps that gives the same error. That version requires the Adobe Flash Player to be installed, so make sure you have that.

    Rob (Screensavers Planet)2 years ago

  • Version 1.4 work fine on version 10.7.5

    Egar1 year ago

Post a reply

Lock This post was automatically locked to new replies after 30 days of inactivity.

Please start a new post on the message board if you need our help.